#!/bin/sh

SUDO=${SUDO:-sudo}

PM=${PM:-pacman}
PM_INSTALL=${PM_INSTALL:--S}
PM_NOCONFIRM=${PM_NOCONFIRM:---noconfirm}

set -e

main() {
    if [ ! -z "$@" ]; then
        . ./scripts/$@
	exit 0
    fi
    for script in ./scripts/* ; do
        echo "# exec $script"
        . $script
    done
}

main "$@"

echo "# OK"
